• Register
  • Help
Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Topic: Logic Pro X: Aria NOT compatible?

Share/Bookmark
  1. #1

    Unhappy Logic Pro X: Aria NOT compatible?

    I just upgraded to the new Logic; had previously been using GPO4 with Garage Band (after converting from windows/Sonar a while back).

    I was under the impression that the current version of Aria was already 64-bit but it's not showing up in AU manager. Kontakt 5 is showing up fine.

    Are we still waiting for a full 64-bit version of Aria?

  2. #2

  3. #3

    Re: Logic Pro X: Aria NOT compatible?

    Quote Originally Posted by rbowser- View Post
    Thud, make sure you actually installed the AU version of ARIA. It's an option during installation.

    Randy
    Yes, the AU version is selected by default when running the upgrade (version 1.620 now). I ran the PKG install again just to make sure. Aria shows up in Garage Band 11 but not in Logic X. I also have Kontakt 5 which shows up in both apps.

    Is the current version of Aria supported with Logic X?

  4. #4

    Re: Logic Pro X: Aria NOT compatible?

    Quote Originally Posted by Thud View Post
    Yes, the AU version is selected by default when running the upgrade (version 1.620 now). I ran the PKG install again just to make sure. Aria shows up in Garage Band 11 but not in Logic X. I also have Kontakt 5 which shows up in both apps.

    Is the current version of Aria supported with Logic X?
    Well darn. Too bad it's still not working. I'm not aware of ARIA not working with Anything - I sure haven't heard it's not working with Logic. It's a straight-forward, universal plugin that works everywhere. Something's amiss here.

    Let's hope for a Logic user here at the Forum who can help you out. They're scarce, Logic users, but hopefully we have someone here who knows what to do.

    Randy

  5. #5

    Cool Re: Logic Pro X: Aria NOT compatible?

    Quote Originally Posted by rbowser- View Post
    Well darn. Too bad it's still not working. I'm not aware of ARIA now working with Anything - I sure haven't heard it's not working with Logic. It's a straight-forward, universal plugin that works everywhere. Something's amiss here.

    Let's hope for a Logic user here at the Forum who can help you out. They're scarce, Logic users, but hopefully we have someone here who knows what to do.

    Randy
    OK, I have good news, I got it working after jumping through some hoops.

    Tech support advised me to reinstall GPO4 in order to reinstall the plugin, so I did. But the latest download version of GPO 4 includes an old ARIA version; the AU file in the Library folder was dated Dec 3, 2009.

    After *renaming* the existing AU file, and then installing the ARIA player upgrade again, a newer file dated in 2012 was created. Finally Logic X is able to properly load ARIA!

    I suspect that the ARIA Player Upgrade (which MUST be run regardless) does not properly replace the existing AU file if it already exists. But renaming or removing the file allows the new one to get created.

    Conveniently, the new ARIA plugin also has a sexy dark interface just like Logic X.

  6. #6

    Re: Logic Pro X: Aria NOT compatible?

    Quote Originally Posted by Thud View Post
    OK, I have good news, I got it working after jumping through some hoops.

    Tech support advised me to reinstall GPO4 in order to reinstall the plugin, so I did. But the latest download version of GPO 4 includes an old ARIA version; the AU file in the Library folder was dated Dec 3, 2009.

    After *renaming* the existing AU file, and then installing the ARIA player upgrade again, a newer file dated in 2012 was created. Finally Logic X is able to properly load ARIA!

    I suspect that the ARIA Player Upgrade (which MUST be run regardless) does not properly replace the existing AU file if it already exists. But renaming or removing the file allows the new one to get created.

    Conveniently, the new ARIA plugin also has a sexy dark interface just like Logic X.
    HEY, that's very good news, Thud - A drag that you had to muck around so much though. But at least it's going on for you now.

    -If you're up to it, after all this hassle, - apparently you installed an ARIA which is still out dated. The current one is from this year, Feb '13, not '12 as you've reported here. It has the same sexy dark interface, and the newer programming. This current version is number 1.620, and you can check your version # on ARIA's last tab.

    At MakeMusic, you sign in, and then can get the free update:

    MM Downloads.

    Randy

  7. #7

    Re: Logic Pro X: Aria NOT compatible?

    How did you guys get the working, exactly? I have the latest installer and have followed every step to get a later version of the AU plugin, but nothing seems to work. I'm on a Mac. Any ideas?

    Problem solved: I had to search the Makemusic site (under Account) for the latest Aria updates and install them.

  8. #8

    Re: Logic Pro X: Aria NOT compatible?

    Quote Originally Posted by Reactor View Post
    ...Problem solved: I had to search the Makemusic site (under Account) for the latest Aria updates and install them.
    A problem reported and solved in one post!--That's great, Reactor - glad you have things working now.

    But I hope you didn't have to search around too long at MM - I posted the link to the downloads in my message right before yours. We should have that permanently posted so people can more easily find it. ARIA goes through changes fairly often, and we all need to keep up to date.

    Have a good time with your music now!

    Randy

  9. #9

    Re: Logic Pro X: Aria NOT compatible?

    Happy to report that the latest ARIA Player is working fine here... using Logic 10.0.1.

  10. #10

    Re: Logic Pro X: Aria NOT compatible?

    Quote Originally Posted by anp27 View Post
    Happy to report that the latest ARIA Player is working fine here... using Logic 10.0.1.
    Latest version works here, too, as well as on LP9.

Go Back to forum

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •